Eclipse Draw2d 3.3

## org.eclipse.draw2d
Interface MouseListener

All Known Implementing Classes:
  LightweightSystem.EventHandler, MouseListener.Stub

public interface MouseListener

A listener interface for receiving mouse button events.

Nested Class Summary
`static class` `MouseListener.Stub` An empty implementation of MouseListener for convenience.

Method Summary
`void` `mouseDoubleClicked(MouseEvent me)` Called when a mouse button has been double clicked over the listened to object.
`void` `mousePressed(MouseEvent me)` Called when a mouse button has been pressed while over the listened to object.
`void` `mouseReleased(MouseEvent me)` Called when a pressed mouse button has been released.

Method Detail

### mousePressed

    public void mousePressed(MouseEvent me)

  Called when a mouse button has been pressed while over the listened to object.

  Parameters:
    `me` - The MouseEvent object

### mouseReleased

    public void mouseReleased(MouseEvent me)

  Called when a pressed mouse button has been released.

  Parameters:
    `me` - The MouseEvent object

### mouseDoubleClicked

    public void mouseDoubleClicked(MouseEvent me)

  Called when a mouse button has been double clicked over the listened to object.

  Parameters:
    `me` - The MouseEvent object

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.